#include <stdint.h>
#include <propeller.h>
#include "ws2812.h"

#define LED_PIN 0
#define LED_COUNT 6

int main(void)
{
    uint32_t colors[LED_COUNT];
    int cog;

    ws2812_clock_init();

    memset(colors, 0, sizeof(colors));
    if ((cog = ws2812_init(LED_PIN, colors, LED_COUNT, SWAP_NONE)) < 0)
        return 1;

    for (;;) {
        // do whatever you want to change the values in colors[]
        ws2812_pause(500);
    }

    cogstop(cog);

    return 0;
}
